package com.ruoyi.generator.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 代码模板文件对象 sys_template_file
 *
 * @author ruoyi
 * @date YOUR_CURRENT_DATE
 */
public class TemplateFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板文件ID */
    private Long templateFileId;

    /** 模板ID */
    private Long templateId;

    /** 文件名称 */
    private String fileName;

    /** 文件路径 */
    private String filePath;

    /** 文件内容 */
    private String fileContent;

    public void setTemplateFileId(Long templateFileId)
    {
        this.templateFileId = templateFileId;
    }

    public Long getTemplateFileId()
    {
        return templateFileId;
    }

    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public Long getTemplateId()
    {
        return templateId;
    }

    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }

    public void setFilePath(String filePath)
    {
        this.filePath = filePath;
    }

    public String getFilePath()
    {
        return filePath;
    }

    public void setFileContent(String fileContent)
    {
        this.fileContent = fileContent;
    }

    public String getFileContent()
    {
        return fileContent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("templateFileId", getTemplateFileId())
            .append("templateId", getTemplateId())
            .append("fileName", getFileName())
            .append("filePath", getFilePath())
            .append("fileContent", getFileContent())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
} 